.service-box{
    width: 100%;
    display: block;
    position: relative;
    font-size: 0;
}
.service-info-all{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    box-sizing: border-box;
    padding-top: 50px;
    padding-bottom: 115px;
}
.service-menu-class-list-box{
    width: 400px;
    position: relative;
    margin-bottom: 50px;
}
.service-menu-class-list{
    width: 100%;
    height: 46px;
    border: 1px solid #888;
    font-size: 16px;
    letter-spacing: 1px;
    display: block;
    line-height: 46px;
    position: relative;
    box-sizing: border-box;
    padding-left: 15px;
    padding-right: 15px;
    cursor: pointer;
    font-family: 'Roboto',"微軟正黑體";
}
.service-menu-class-list:after {
    content: '';
    width: 0px;
    height: 0px;
    margin: 0 auto;
    border-right: 7px solid transparent;
    border-top: 10px solid #888;
    border-left: 7px solid transparent;
    display: block;
    position: absolute;
    bottom: calc(50% - 5px);
    right: 1%;
    box-sizing: border-box;
}
.service-menu-class-list-select{
    width: 100%;
    position: absolute;
    box-sizing: border-box;
    padding: 5px 0;
    border: 1px solid #888;
    border-top: none;
    z-index: 9;
    background-color: #fff;
}
.service-menu-class-list-select a{
    width: 100%;
    display: block;
    font-size: 16px;
    padding: 10px 15px;
    box-sizing: border-box;
    cursor: pointer;
    letter-spacing: 1px;
    transition: all .3s linear;
    font-family: 'Roboto',"微軟正黑體";
}
.service-info{
    display: inline-block;
    vertical-align: middle;
    margin-left: 5px;
    margin-bottom: 5px;
}
.service-info:nth-child(3n + 1){
    margin-left: 0;
}
.service-info-bc-box{
    width: 395px;
    height: 395px;
    display: block;
    position: relative;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    border-top: 2px solid #36bf36;
}
.service-info-hover-box{
    display: block;
    box-sizing: border-box;
    padding: 0 25px;
    padding-top: 51px;
    background-color: rgba(0, 0, 0, 0.5);
    height: 185px;
    transition: all .3s linear;
    font-family: 'Roboto',"微軟正黑體";
}
.service-info-text-box{
    font-size: 14px;
    font-weight: bold;
    color: #fff;
    line-height: 2;
    letter-spacing: 1px;
    overflow : hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    transition: all .3s linear;
}
.service-info-hover-border{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    border: 2px solid #36bf36;
    border-top: none;
    box-sizing: border-box;
    opacity: 0;
    transition: all .3s linear;
}
.service-info-enter-box{
    position: absolute;
    top: 50%;
    left: 25px;
    opacity: 0;
    transition: all .3s linear;
}
.service-info-enter-box span{
    font-size: 14px;
    font-weight: bold;
    display: inline-block;
    vertical-align: middle;
    color: #fff;
    margin-left: 10px;
    transition: all .3s linear;
}
.service-info-enter-box .fas{
    font-size: 14px;
    vertical-align: middle;
    color: #fff;
}




/*--------------------hover----------------------*/
.service-info:hover .service-info-hover-box{
    background-color: rgba(0,0,0,0.5);
    height: 100%;
    border: none;
}
.service-info:hover .service-info-text-box{
    color: #fff;
}
.service-info:hover .service-info-hover-border{
    opacity: 1;
}
.service-info:hover .service-info-enter-box{
    opacity: 1;
}
.service-menu-class-list-select a:hover{
    background-color: #36bf36;
    color: #fff;
}


@media only screen and (max-width: 1200px){
    .service-info-all{
        width: 1000px;
    }
    .service-info-bc-box{
        width: 330px;
        height: 372px;
    }
}
@media only screen and (max-width: 1000px){
    .service-info-all{
        width: 800px;
    }
    .service-info-bc-box{
        width: 395px;
        height: 445px;
    }
    .service-info:nth-child(n) {
        margin-left: 0;
    }
    .service-info:nth-child(2n + 1) {
        margin-left: 0;
    }
}
@media only screen and (max-width: 800px){
    .service-info-all{
        width: 600px;
        padding: 65px 0;
    }
    .service-info-bc-box{
        width: 295px;
        height: 332px;
    }
    #food-pages .service-info-bc-box {
        width: 240px;
        height: 300px;
    }
}
@media only screen and (max-width: 600px){
    .service-info-all{
        width: 550px;
        padding: 25px 0;
    }
    .service-info-bc-box{
        width: 100%;
        height: 100%;
    }
    .service-info:nth-child(n) {
        margin-left: 0;
    }
    .service-menu-class-list-box{
        width: 100%;
    }
    .service-menu-class-list,
    .service-menu-class-list-select span{
        font-size: 14px;
    }
    .service-info{
        width: 50%;
    }
}
@media only screen and (max-width: 400px){
    .service-info-all{
        width: 300px;
        padding: 20px 0;
    }
    .service-info-bc-box{
        /* height: 334px; */
    }
    .service-info-hover-box{
        height: 130px;
        padding-top: 23px;
    }
    .service-info{
        width: 100%;
    }
}

/*animation*/
/*<-------------動畫------------->*/

@media only screen and (min-width: 1001px){
    .service-menu-class-list,
    .service-info{
        opacity: 0;
    }
    .service-menu-class-list{
        animation: animation_ltor 1s ease both;
    }
    .service-info.active{
        animation: animation_btot 1s ease both;
    }
}